=== debian/changelog ===
powerdevil (4:6.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update powerdevil.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117368)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 09:19:44 +0200

powerdevil (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Applets/batterymonitor: don't ask to install PPD when already installed.
    (kde#504889)
    - Daemon: Fix triggering an assert in KConfigGroup.
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commits:
    - Add missing screen locking link from screen power saving section.
    [09ce19dc] (kde#447366)
    - applets/brightness: downgrade severity of KeyboardBrightnessControl
    action unavailable warning since this is expected on most systems.
    [2039c96d] (kde#501461)
    - applets/batterymonitor: only show one battery icon in desktop tray.
    [4d29cd00] (kde#504697)
    - kcm: correct buddyFor relationship for script items fixing recurring
    spurious warnings. [dc057e44] (kde#504668)
    - PowerDevilAction: refresh action timers on inhibition changes to fix
    cases like immediate suspend happening at the end of a video playback.
    [31fcf4c0] (kde#504553)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 14:52:32 +0200

powerdevil (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix list in package description.
  * New upstream release (6.3.5).
    - Daemon: Don't crash if using powerdevil 6.3 with kwin 6.2. (kde#501446)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits scheduled for 6.3.6:
    - daemon: Fix triggering an assert in KConfigGroup when loading profile
    without an activity.
    - Fix Power Profile incorrectly shown when hardware does not support it.
    (kde#504889)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:43 +0200
