## powerdevil 6.4.3

=== debian/changelog ===
powerdevil (4:6.4.3-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 22:20:19 +0000

powerdevil (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:13:59 +0000
