=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-krunner-dev,
               kf6-kuserfeedback-dev,
               kf6-networkmanager-qt-dev,
               kf6-solid-dev,
               kwayland-dev,
               libcap-dev,
               libddcutil-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-wayland-protocols,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
Vcs-Git: https://invent.kde.org/neon/kde/powerdevil.git
Vcs-Browser: https://invent.kde.org/neon/kde/powerdevil
Maintainer: Neon CI <neon@kde.org>

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libpowerdevilcore1
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilcore1
Architecture: all
Depends: libpowerdevilcore2, ${misc:Depends}
Description: Transitional package.
 This package can be safely removed.

Package: libpowerdevilui6
Architecture: all
Depends: powerdevil, ${misc:Depends}
Replaces: libpowerdevilui5 (<< 4:6.0.0)
Description: Transitional package.
 This package can be safely removed.

Package: libpowerdevilui5
Architecture: all
Depends: libpowerdevilui6, ${misc:Depends}
Description: Transitional package.
 This package can be safely removed.

Package: powerdevil
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ddcutil,
         power-profiles-daemon | tlp,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-mobile (<< 6.3.80), plasma-workspace (<< 4:6.1.0)
Replaces: plasma-mobile (<< 6.3.80), plasma-workspace (<< 4:6.1.0)
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.
