## powerdevil 6.4.4

=== debian/changelog ===
powerdevil (4:6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:16 +0200

powerdevil (4:6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 21:32:34 +0200

powerdevil (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Bump plasma-wayland-protocols build dep to 1.18.0

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:03 +0100
