=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkf6xmlgui-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
-               libkscreen-dev (>= 4:6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
-               libplasma-dev (>= 6.4.4~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libkscreen-dev (>= 4:6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
+               libplasma-dev (>= 6.4.5~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -46,7 +46,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.18.0~),
-               plasma-workspace-dev (>= 4:6.4.4~),
+               plasma-workspace-dev (>= 4:6.4.5~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
