## powerdevil 6.4.5+p24.04+vstable+git20250928.1344

=== debian/changelog ===
powerdevil (4:6.4.5+p24.04+vstable+git20250928.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:44:37 +0000

powerdevil (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:41:27 +0000

powerdevil (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:25:17 +0000
