## powerdevil 6.4.5+p24.04+vstable+git20251004.0514

=== debian/changelog ===
powerdevil (4:6.4.5+p24.04+vstable+git20251004.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:14:26 +0000
