## powerdevil 6.5.0

=== runners/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
add_subdirectory(powerdevil)
