=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
                libkirigami-dev (>= 6.18.0~),
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.4.91~),
-               libplasmaactivities-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasmaactivities-dev (>= 6.5.0~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,7 +45,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.19~),
-               plasma-workspace-dev (>= 4:6.4.91~),
+               plasma-workspace-dev (>= 4:6.5.0~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
@@ -53,7 +53,6 @@
 Homepage: https://invent.kde.org/plasma/powerdevil
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
-Rules-Requires-Root: no
 
 Package: libpowerdevilcore2
 Section: libs
