## powerdevil 6.5.0+p24.04+vstable+git20251026.0202

=== debian/changelog ===
powerdevil (4:6.5.0+p24.04+vstable+git20251026.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:02:08 +0000

powerdevil (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:36:46 +0000
